﻿Imports System.ComponentModel

Public Class JprInfo

    'Subroutine JprInfo_Load
    '- Actions at opening the form JprInfo
    Private Sub JprInfo_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        '- Declarations
        Dim TipText As New ToolTip()                'Creating tooltips for this form

        '- Clearing all values in form
        FileValue.Text = ""
        DataBox.Text = ""

        '- Setting up the delays for the ToolTip (TipText).
        TipText.AutoPopDelay = 5000
        TipText.InitialDelay = 1000
        TipText.ReshowDelay = 500

        '- Forcing the ToolTip text to be displayed whether or not the form is active.
        TipText.ShowAlways = True

        '- Tooltips
        TipText.SetToolTip(TopStrip, "Select a JPR-file to view and/or print the content.")
        TipText.SetToolTip(DataBox, "Content of JPR-file.")

        '- Setting form title
        Me.Text = AppName & " - JPR-file information"

        '- Disabling StartMenu form
        StartMenu.Enabled = False

        '- Disabling PrintItem
        PrintItem.Enabled = False

        '- Initiating SelectItem
        SelectItem_Click(sender, e)

    End Sub

    'Subroutine CloseItem_Click
    '- initializing closing the form OziInfo
    Private Sub CloseItem_Click(sender As Object, e As EventArgs) Handles CloseItem.Click
        Me.Close()

    End Sub

    'Subroutine JprInfo_Closing
    '- Actions at closing the form JprInfo
    Private Sub JprInfo_Closing(sender As Object, e As CancelEventArgs) Handles Me.Closing
        '- Enabling M4MM form
        StartMenu.Enabled = True

    End Sub

    'Subroutine SelectItem_Click
    '- Selecting JPR-file
    '- Loading data and filename into the form
    Private Sub SelectItem_Click(sender As Object, e As EventArgs) Handles SelectItem.Click

        '- Clearing all values in form
        FileValue.Text = ""
        DataBox.Text = ""

        '- Setting patameters for SelectFile
        With SelectFile
            .Filter = "JPR-file (*.jpr)|*.jpr"
            .Multiselect = False
        End With

        '- Triggering SelectFile and handling case no file was selected
        If SelectFile.ShowDialog <> DialogResult.OK Then

            FileValue.Text = ""
            MsgBox("No file was selected!", 48, AppName & " - Warning")

            '- Disabling Print menu items
            PrintItem.Enabled = False

            Exit Sub

        End If

        '- Showing selected filename in form (FileValue)
        FileValue.Text = SelectFile.FileName

        '- Setting Value for MapData and writing these data to form
        DataBox.Text = My.Computer.FileSystem.ReadAllText(SelectFile.FileName)

        '- Enabling PrintItem
        PrintItem.Enabled = True

    End Sub

    Private Sub PrintDataItem_Click(sender As Object, e As EventArgs) Handles PrintDataItem.Click

        StartMenu.PrintContent(DataBox.Text, DataBox.Font, LandscapeItem.Checked)

    End Sub

End Class